## keurocalc 1.0.3

=== doc/CMakeLists.txt ===
project(doc)

add_subdirectory(da)
add_subdirectory(en)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(it)
add_subdirectory(nb)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)

ADD_CUSTOM_TARGET(doc ALL DEPENDS ${_sources})

=== keurocalc/CMakeLists.txt ===
project( keurocalc )

########### next target ###############

set( keurocalc_SRCS
   ../currencies/currencies.cpp
   keurocalc.cpp
   main.cpp
   preferences.cpp )

qt4_add_resources(keurocalc_SRCS keurocalc.qrc)

kde4_add_ui_files( keurocalc_SRCS
   calculator.ui
   settingsdialog.ui )

kde4_add_executable(keurocalc ${keurocalc_SRCS} )

target_link_libraries(keurocalc ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} )

install(TARGETS keurocalc ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES keurocalc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES splash.png ../currencies/currencies.xml DESTINATION ${DATA_INSTALL_DIR}/keurocalc )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== po/CMakeLists.txt ===
project(po)

FILE(GLOB _pofiles *.po)
FOREACH(_infile ${_pofiles})
    GET_FILENAME_COMPONENT(_lang ${_infile} NAME_WE)
    GET_FILENAME_COMPONENT(_outfile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.mo ABSOLUTE)

    ADD_CUSTOM_COMMAND(
        OUTPUT ${_outfile}
        COMMAND msgfmt -o ${_outfile} ${_infile}
        DEPENDS ${_infile})

    INSTALL(
        FILES ${_outfile}
        DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/
        RENAME keurocalc.mo)

    SET(_sources ${_sources} ${_outfile})
ENDFOREACH(_infile ${_pofiles})

ADD_CUSTOM_TARGET(po ALL DEPENDS ${_sources})

=== debian/changelog ===
keurocalc (1.0.3-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #619073), remaining changes:
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items
    - Bump debhelper build-depend version to 7.3.16 or greater.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 17 Aug 2010 16:19:48 +0200

keurocalc (1.0.3-2) unstable; urgency=low

  * Rename /usr/share/doc/kde4 to /usr/share/doc/kde. (Closes: #584382)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Jun 2010 16:15:46 +0200

keurocalc (1.0.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items
    - Keep kubuntu doc path in keurocalc-data.install
    - Bump debhelper build-depend version to 7.3.16 or greater
  * Update kubuntu_01_fix_desktop_file.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 02 Jun 2010 04:19:35 +0200

keurocalc (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3

 -- Michael Meskes <meskes@debian.org>  Mon, 31 May 2010 12:36:06 +0200

keurocalc (1.0.2-3ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items
    - Keep kubuntu doc path in keurocalc-data.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 20:42:31 -0400

keurocalc (1.0.2-3) unstable; urgency=low

  * Added cmake build dependency which is no longer provided by
    kdelibs5-dev.
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * Added source/format file.
  * Updated copright notice.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 May 2010 11:01:20 +0200

keurocalc (1.0.2-2ubuntu2) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items
    - Keep kubuntu doc path in keurocalc-data.install
    Fixes LP: #508520 since it uses Debian's build system
  * Add README.source since we're using quilt

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 16 Jan 2010 21:59:40 -0500

keurocalc (1.0.2-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 10 May 2009 12:24:27 -0500

keurocalc (1.0.2-2) unstable; urgency=low

  * Released to unstable.
  * Bumped Standards-Version to 3.8.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 Apr 2009 13:08:55 +0200

keurocalc (1.0.2-1) experimental; urgency=low

  * New upstream version.

 -- Michael Meskes <meskes@debian.org>  Mon, 12 Jan 2009 12:56:30 +0100

keurocalc (1.0.2-0ubuntu2) jaunty; urgency=low

  * Rebuilt for new KDE doc path

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 24 Feb 2009 20:16:50 +0100

keurocalc (1.0.2-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump standards version to 3.8.0, no change
  * Bump build-deps

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 12 Jan 2009 20:46:52 -0500

keurocalc (1.0.1-2) experimental; urgency=low

  * Added missing icon files.

 -- Michael Meskes <meskes@debian.org>  Mon, 05 Jan 2009 12:24:51 +0100

keurocalc (1.0.1-1) experimental; urgency=low

  * New upstream version for KDE4.
  * Removed patches that were not needed anymore and simplified packaging.
  * Migrated to cdbs.

 -- Michael Meskes <meskes@debian.org>  Fri, 02 Jan 2009 20:34:52 +0100

keurocalc (1.0.1-0ubuntu1) intrepid; urgency=low

  * old kde3 keurocalc is going away, this
    is the replacement, old packagename: keurocalc-kde4
  * No new features 
  * debian/control:
    - conflict/replaces on keurocalc-kde4 and keurocalc-kde4-data
  * debian/keurocalc{-data}.{install,lintian}
    - renamed from keurocalc-kde4{-data}.{install,lintian}
  * debian/rules:
    - include real kde4.mk from cdbs package and not the local one under
      debian/ dir
 
 -- Stephan Hermann <sh@sourcecode.de>  Mon, 15 Sep 2008 11:04:10 +0200

keurocalc-kde4 (1.0.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 01 Jun 2008 22:18:38 -0400

keurocalc-kde4 (1.0.0-0ubuntu2) hardy; urgency=low

  [ Steve Stalcup ]

  * Added ${source:Version} to keurocalc-kde4-data dep (LP: #206278)
  * Corrected .install files
  * Fixed .install file names

  [ Richard A. Johnson ]

  * debian/control: fixed broken depend on keurocalc for keurocalc-kde4-data
    and changed it to depend on keurocalc-kde4
  * debian/watch: fixed watch file to point at correct URL
  * debian/*.lintian: added lintian overrides for:
    - keurocalc-kde4: binary-or-shlib-defines-rpath since our current KDE 4
      packages utilize RPATH due to installation location
    - keurocalc-kde4: debian-changelog-file-is-a-symlink since this is a new
      feature in Ubuntu lintian, quiet it since the depend was fixed by Steve
    - keurocalc-kde4-data: image-file-in-usr-lib since we install to /usr/lib
      with our KDE 4 packages, we are going to have image files under /usr/lib
    - keurocalc-kde4-data: desktop-command-not-in-package since desktop file
      gets installed in the -data package which keurocal-kde4 depends on
  * debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
    validate according to FD.o specification - removed deprecated items

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 24 Mar 2008 21:40:30 -0400

keurocalc-kde4 (1.0.0-0ubuntu1) hardy; urgency=low

  * Initial release 



=== debian/control ===
Source: keurocalc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.3.16), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
Standards-Version: 3.8.4
Homepage: http://opensource.bureau-cornavin.com/keurocalc/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/keurocalc.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/keurocalc.git

Package: keurocalc
Architecture: any
Depends: keurocalc-data, ${shlibs:Depends}, ${misc:Depends}
Description: universal currency converter and calculator - binary package
 KEurocalc is a universal currency converter and calculator. 
 It downloads latest exchange rates directly from the 
 European Central Bank and the Federal Reserve Bank of New York.

Package: keurocalc-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: keurocalc
Replaces: keurocalc
Description: universal currency converter and calculator - data package
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and the Federal Reserve Bank of New York.
 .
 This is a data package containing some files needed by the keurocalc
 binary package.

## keurocalc 1.1.0

=== debian/changelog ===
keurocalc (1.1.0-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 01 Feb 2011 14:10:08 +0100

keurocalc (1.1.0-1) unstable; urgency=low

  * Imported Upstream version 1.1.0
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 23 Jan 2011 17:11:30 +0100

keurocalc (1.1.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Merge with Debian Unstable, remaining change:
    - debian/patches: kubuntu_01_fix_desktop_file.diff to make desktop file
      validate according to FD.o specification - removed deprecated items

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 10 Jan 2011 12:23:07 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.3.16), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5.0.0), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
+Standards-Version: 3.9.1
 Homepage: http://opensource.bureau-cornavin.com/keurocalc/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/keurocalc.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/keurocalc.git

## keurocalc 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(keurocalc)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
link_directories (${KDE4_LIB_DIR})
include_directories ( ${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

add_subdirectory( keurocalc )
add_subdirectory( curconvd )
add_subdirectory( doc )
add_subdirectory( po )

=== curconvd/CMakeLists.txt ===
########### next target ###############

set( curconvd_SRCS
   ../currencies/currencies.cpp
   converter.cpp
   table.cpp
   main.cpp )

kde4_add_executable(curconvd ${curconvd_SRCS} )

target_link_libraries(curconvd ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KDEPRINT_LIBS} )

install(TARGETS curconvd ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES ../currencies/currencies.xml DESTINATION ${DATA_INSTALL_DIR}/curconvd )

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-project(doc)
-
 add_subdirectory(da)
 add_subdirectory(en)
 add_subdirectory(es)

=== keurocalc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-project( keurocalc )
-
 ########### next target ###############
 
 set( keurocalc_SRCS
@@ -23,7 +21,7 @@
 
 ########### install files ###############
 
-install( FILES keurocalc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
+install( PROGRAMS keurocalc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
 
 install( FILES splash.png ../currencies/currencies.xml DESTINATION ${DATA_INSTALL_DIR}/keurocalc )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

add_subdirectory(ar)
add_subdirectory(bg)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(ka)
add_subdirectory(ko)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ru)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(ta)
add_subdirectory(tr)
add_subdirectory(uk)
add_subdirectory(zh_TW)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR keurocalc)

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR keurocalc)

=== doc/pt_BR/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR SUBDIR keurocalc)

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR keurocalc)

=== po/sr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(sr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/ta/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ta ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
keurocalc (1.2.0-1) unstable; urgency=low

  * Fixed syntax in local-options file.
  * Imported Upstream version 1.2.0
  * Fixed description to list correct sources of exchange rates downloaded.
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Slightly updated copyright file.

 -- Michael Meskes <meskes@debian.org>  Wed, 29 Feb 2012 12:37:49 +0100

=== debian/control ===
Source: keurocalc
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 5.0.0), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
Standards-Version: 3.9.3
Homepage: http://opensource.bureau-cornavin.com/keurocalc/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/keurocalc.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/keurocalc.git

Package: keurocalc
Architecture: any
Depends: keurocalc-data, ${shlibs:Depends}, ${misc:Depends}
Description: universal currency converter and calculator - binary package
 KEurocalc is a universal currency converter and calculator. 
 It downloads latest exchange rates directly from the 
 European Central Bank and Time Genie.

Package: keurocalc-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: keurocalc
Replaces: keurocalc
Description: universal currency converter and calculator - data package
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and Time Genie.
 .
 This is a data package containing some files needed by the keurocalc
 binary package.

## keurocalc 1.2.2

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

add_subdirectory(bg)
add_subdirectory(bs)
add_subdirectory(ca)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(gl)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(ko)
add_subdirectory(nb)
add_subdirectory(nds)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(ru)
add_subdirectory(sk)
add_subdirectory(sl)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(tr)
add_subdirectory(ug)
add_subdirectory(uk)
add_subdirectory(zh_TW)

=== po/bg/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(cs ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/da/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(da ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(de ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/fi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/ga/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(ga ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/gl/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(gl ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/hu/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hu ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/it/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(it ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== po/nb/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(nb ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} PO_FILES ${_po_files} )

=== debian/changelog ===
keurocalc (1.2.2-1) unstable; urgency=medium

  * Imported Upstream version 1.2.2
  * Added patch to use old cmake behaviour for policy 0002.
  * Updated control file for latest policy changes.

 -- Michael Meskes <meskes@debian.org>  Thu, 14 Aug 2014 17:37:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 5.0.0), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://opensource.bureau-cornavin.com/keurocalc/
-Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/keurocalc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/keurocalc.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/keurocalc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/keurocalc.git
 
 Package: keurocalc
 Architecture: any

## keurocalc 1.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 2.6)
-project(keurocalc)
+cmake_minimum_required(VERSION 2.8)
+project(keuromain)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

=== curconvd/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+project( curconvd )
+
 ########### next target ###############
 
 set( curconvd_SRCS

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory(da)
+add_subdirectory(de)
 add_subdirectory(en)
 add_subdirectory(es)
 add_subdirectory(et)

=== keurocalc/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+project( keurocalc )
+
 ########### next target ###############
 
 set( keurocalc_SRCS

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+cmake_policy(SET CMP0002 OLD)
 find_package(Gettext REQUIRED)
 
 add_subdirectory(bg)

=== doc/da/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/da SUBDIR keurocalc)

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR keurocalc)

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR keurocalc)

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR keurocalc)

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR keurocalc)

=== doc/nb/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nb SUBDIR keurocalc)

=== doc/sv/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv SUBDIR keurocalc)

=== debian/changelog ===
keurocalc (1.2.3-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:49 +0000

keurocalc (1.2.3-1) unstable; urgency=medium

  * Imported Upstream version 1.2.3
  * Removed policy patch, applied upstream.
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 27 Feb 2015 13:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: keurocalc
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 5.0.0), kdelibs5-dev (>= 4:4.4.4), cdbs, cmake
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opensource.bureau-cornavin.com/keurocalc/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/keurocalc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/keurocalc.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_KDE_ENABLE_FINAL := yes
DEB_COMPRESS_EXCLUDE = .docbook

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    cdbs_treat_me_gently_arches := arm m68k alpha ppc64 armel armeb
    ifeq (,$(filter $(DEB_HOST_ARCH_CPU),$(cdbs_treat_me_gently_arches)))
        cdbs_kde_enable_final = $(if $(DEB_KDE_ENABLE_FINAL),--enable-final,)
    else
        cdbs_kde_enable_final =
    endif
endif

install/keurocalc::
	# these files cannot be installed by dh_install because they have to be renamed
	-install --owner root --group root --mode=644 $(CURDIR)/keurocalc/hi16-app-keurocalc.png $(CURDIR)/debian/keurocalc/usr/share/icons/hicolor/16x16/apps/keurocalc.png
	-install --owner root --group root --mode=644 $(CURDIR)/keurocalc/hi32-app-keurocalc.png $(CURDIR)/debian/keurocalc/usr/share/icons/hicolor/32x32/apps/keurocalc.png
	-install --owner root --group root --mode=644 $(CURDIR)/keurocalc/hi48-app-keurocalc.png $(CURDIR)/debian/keurocalc/usr/share/icons/hicolor/48x48/apps/keurocalc.png

=== debian/watch ===
version=3
http://opensource.bureau-cornavin.com/keurocalc/sources/keurocalc-(.*)\.tgz debian uupdate

## keurocalc 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(keuromain)

set(QT_MIN_VERSION "5.3.0")
set(KF5_MIN_VERSION "5.2.0")

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

include(CheckIncludeFile)

check_include_file(xlocale.h HAVE_XLOCALE_H)

configure_file(config-keurocalc.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-keurocalc.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( keurocalc )
add_subdirectory( doc )
add_subdirectory( curconvd )

=== curconvd/CMakeLists.txt ===
project(curconvd VERSION "1.3.0")

########### next target ###############

set(curconvd_SRCS
   ../currencies/currencies.cpp
   converter.cpp
   table.cpp
   main.cpp )

add_executable(curconvd ${curconvd_SRCS})

target_link_libraries(curconvd
    Qt5::Core
    Qt5::Xml
    Qt5::DBus
    KF5::I18n
    KF5::KIOCore
)

install(TARGETS curconvd ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES ../currencies/currencies.xml DESTINATION ${DATA_INSTALL_DIR}/curconvd)

configure_file(org.kde.curconvd.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.curconvd.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.curconvd.service DESTINATION ${DATA_INSTALL_DIR}/curconvd)

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR keurocalc)

=== keurocalc/CMakeLists.txt ===
project(keurocalc VERSION "1.3.0")

########### next target ###############

set(keurocalc_SRCS
   ../currencies/currencies.cpp
   keurocalc.cpp
   main.cpp
   preferences.cpp )

qt5_add_resources(keurocalc_SRCS keurocalc.qrc)

ki18n_wrap_ui(keurocalc_SRCS
   calculator.ui
   settingsdialog.ui)

add_executable(keurocalc ${keurocalc_SRCS})

target_link_libraries(keurocalc
    Qt5::Widgets
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::XmlGui
    KF5::WidgetsAddons
)

install(TARGETS keurocalc ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(PROGRAMS org.kde.keurocalc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES org.kde.keurocalc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES splash.png ../currencies/currencies.xml DESTINATION ${DATA_INSTALL_DIR}/keurocalc)

ecm_install_icons(ICONS 16-apps-keurocalc.png 32-apps-keurocalc.png 48-apps-keurocalc.png
	          DESTINATION ${ICON_INSTALL_DIR})

=== debian/changelog ===
keurocalc (1.3.0-5) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113074)
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 22:12:47 +0200

keurocalc (1.3.0-4) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Update the references to the upstream Git repository.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump Qt packages to 5.3.0
    - drop "1" revision from the versions of KF packages
  * Backport upstream commits 8a53b199623e7f948538c4ac1bb2812a380e9507 and
    131044f534ea9e96579a982285445dc83d641cd6 to improve the AppStream XMLs;
    patches upstream_Applied-appstream-metainfo-release-update-script.patch,
    and upstream_appdata-fix-screenshot-location.patch.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Oct 2021 08:34:12 +0200

keurocalc (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Move the AppStream metadata from keurocalc-data to keurocalc, as it must be
    together with the executable it represents
    - add proper breaks/replaces
  * Remove "binary package" from the short description of keurocalc, as it is
    not needed.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Fix typo in old changelog entry.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2020 13:43:43 +0100

keurocalc (1.3.0-2) unstable; urgency=medium

  * Fix "[keurocalc] Future Qt4 removal from Buster"
    - QT5 Port. (Closes: #874952)
  * New upstream release.
  * Update watch file and add signing-key.asc.
  * Use --with=kf5 in rules.
  * Update build depends as per cmake.
  * Replace uploaders with myself with permission from
    original maintainer to take over.
  * Update copyright file.
  * Bump compat to 12.
  * Bump standards to 4.4.0; No remaining changes.
  * Bump version to new version.
  * Update install files.
  * Add upstream metainfo file.
  * Add hardening bindnow to rules file.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Fri, 13 Sep 2019 05:30:55 -0700

keurocalc (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Switch Homepage to https://www.kde.org/applications/office/keurocalc/,
    as the former website does not exist anymore.
  * Bump the debhelper compatibility to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
  * Pass --fail-missing to dh_missing, to catch uninstalled files.
  * Tighten the keurocalc-data dependency in keurocalc.
  * Drop the provided man page for keurocalc: keurocalc has no command line
    arguments other than --help/--version/--authors, and it has no non-GUI
    workflow.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Oct 2018 12:49:28 +0200

keurocalc (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove trailing whitespaces in changelog, and control.
  * Drop menu file, since keurocalc already provides a .desktop file.
  * Bump the debhelper compatibility to 10:
    - bump the debhelper build dependency to 10~
    - bump compat to 10
  * Remove debian/tmp prefixes from install files.
  * Use the icons already correctly installed, instead of copying them manually
    from the source directory
    - drop debian/dirs, no more needed now
  * Rewrite rules to use the dh sequencer:
    - drop the cdbs build dependency
    - add the pkg-kde-tools build dependency
    - use the kde dh addon
    - shuffle which docs are installed:
      - install nothing in keurocalc-data, since it is not needed there
      - stop installing TODO, since it is not useful for users
      - stop installing README, since it is empty
  * Remove the unused ${shlibs:Depends} substvar in keurocalc-data.
  * Link in as-needed mode.
  * Move the icons from keurocalc to keurocalc-data
    - add proper breaks/replaces
  * Bump Standards-Version to 4.1.4, no more changes required now.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Jun 2018 11:31:02 +0200

=== debian/control ===
Source: keurocalc
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               libkf5config-dev (>= 5.2.0~),
               libkf5configwidgets-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.2.0~),
               libkf5doctools-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.2.0~),
               libkf5kio-dev (>= 5.2.0~),
               libkf5widgetsaddons-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.2.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.3.0~),
Standards-Version: 4.7.2
Homepage: https://www.kde.org/applications/office/keurocalc/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/keurocalc.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/keurocalc

Package: keurocalc
Architecture: any
Depends: keurocalc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: keurocalc-data (<< 1.3.0-3~)
Replaces: keurocalc-data (<< 1.3.0-3~)
Description: universal currency converter and calculator
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and Time Genie.

Package: keurocalc-data
Architecture: all
Depends: ${misc:Depends}
Suggests: keurocalc
Description: universal currency converter and calculator - data package
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and Time Genie.
 .
 This is a data package containing some files needed by the keurocalc
 binary package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
version=4
https://download.kde.org/stable/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## keurocalc 1.3.0+p24.04+vstable+git20251003.1115

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251003.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:15:49 +0000

## keurocalc 1.3.0+p24.04+vstable+git20251005.1030

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251005.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:30:31 +0000

## keurocalc 1.3.0+p24.04+vstable+git20251017.0023

=== curconvd/CMakeLists.txt ===
project(curconvd VERSION "1.3.2")

########### next target ###############

set(curconvd_SRCS
   ../currencies/currencies.cpp
   converter.cpp
   table.cpp
   ../currencies/currencies.h
   converter.h
   table.h
   main.cpp )

add_executable(curconvd ${curconvd_SRCS})

target_link_libraries(curconvd
    Qt::Core
    Qt::Xml
    Qt::DBus
    KF6::I18n
    KF6::KIOCore
)

install(TARGETS curconvd ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES ../currencies/currencies.xml DESTINATION ${KDE_INSTALL_DATADIR}/curconvd)

configure_file(org.kde.curconvd.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.curconvd.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.curconvd.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251017.0023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:23:57 +0000

=== debian/control ===
Source: keurocalc
Section: kde
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               qt6-base-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/office/keurocalc/
Vcs-Git: https://invent.kde.org/neon/extras/keurocalc.git
Vcs-Browser: https://invent.kde.org/neon/extras/keurocalc
Maintainer: Neon CI <neon@kde.org>

Package: keurocalc
Architecture: any
Depends: keurocalc-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: keurocalc-data (<< 1.3.0-3~)
Replaces: keurocalc-data (<< 1.3.0-3~)
Description: universal currency converter and calculator
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and Time Genie.

Package: keurocalc-data
Architecture: all
Depends: ${misc:Depends}
Suggests: keurocalc
Description: universal currency converter and calculator - data package
 KEurocalc is a universal currency converter and calculator.
 It downloads latest exchange rates directly from the
 European Central Bank and Time Genie.
 .
 This is a data package containing some files needed by the keurocalc
 binary package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with kf6 --buildsystem kf6

## keurocalc 1.3.0+p24.04+vstable+git20251019.0345

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251019.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:45:59 +0000

## keurocalc 1.3.0+p24.04+vstable+git20251128.0703

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251128.0703-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:03:25 +0000

## keurocalc 1.3.0+p24.04+vstable+git20251130.0019

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20251130.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:19:09 +0000

## keurocalc 1.3.0+p24.04+vstable+git20260118.0151

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20260118.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 01:51:31 +0000

## keurocalc 1.3.0+p24.04+vstable+git20260131.0426

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vstable+git20260131.0426-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:26:49 +0000

## keurocalc 1.3.0+p24.04+vunstable+git20251015.0734

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vunstable+git20251015.0734-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:34:47 +0000

## keurocalc 1.3.0+p24.04+vunstable+git20251020.1246

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vunstable+git20251020.1246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:46:54 +0000

## keurocalc 1.3.0+p24.04+vunstable+git20251123.1231

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vunstable+git20251123.1231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:31:46 +0000

## keurocalc 1.3.0+p24.04+vunstable+git20251128.0745

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vunstable+git20251128.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:45:58 +0000

## keurocalc 1.3.0+p24.04+vunstable+git20260131.0114

=== debian/changelog ===
keurocalc (1.3.0+p24.04+vunstable+git20260131.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:14:18 +0000
